CREATE TABLE wertpapier (
  id NUMERIC default UNIQUEKEY('wertpapier'),
  name varchar(255) NOT NULL,
  symbol varchar(20) NOT NULL,
  ffmName varchar(100),
  ffmInstrument varchar(20),
  quandlCode varchar(20),
  lastTradeDate date,
  lastTradeTime time,
  lastTradePriceOnly float,
  previousClose float,
  value float,
  currency varchar(5),
  yearLow float,
  yearHigh float,
  change float,
  changeInPercentage float,
  type varchar(20),
  exchange varchar(50),
  comment varchar(1000), 
  UNIQUE (id),
  PRIMARY KEY (id)
);


CREATE TABLE orderHistory (
  id NUMERIC default UNIQUEKEY('orderHistory'),
  aktie_id int(4) NOT NULL,
  orderDate date,
  orderAmount float,
  orderPrice float,
  orderPriceInMainCurrency float,
  additionalCosts float,
  additionalCostsInMainCurrency float,
  additionalCostsCurrency varchar(5),
  comment varchar(1000), 
  UNIQUE (id),
  PRIMARY KEY (id)  
);


CREATE TABLE version (
  id NUMERIC default UNIQUEKEY('version'),
  name varchar(255) NOT NULL,
  version int(5) NOT NULL,
  UNIQUE (id),
  PRIMARY KEY (id)
);


ALTER TABLE orderHistory ADD CONSTRAINT fk_aktien FOREIGN KEY (aktie_id) REFERENCES wertpapier (id) DEFERRABLE;

COMMIT;

INSERT INTO version (name,version) values ('db',3);

